Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZProductCollection Class Reference
Inheritance diagram for eZProductCollection:

## Public Member Functions
| __clone ()
| copy ()
| itemList ( $asObject=true)
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ()
static | fetch ( $productCollectionID, $asObject=true)
static | verify ( $id)
static | cleanupList ( $productCollectionIDList)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Additional Inherited Members
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

eZProductCollection is a container class which handles groups of products

Definition at line 15 of file ezproductcollection.php.

## Member Function Documentation

## ◆ __clone()

eZProductCollection::__clone | ( |  | ) |

Clones the collection object and returns it. The ID of the clone is erased.

Definition at line 52 of file ezproductcollection.php.

References eZPersistentObject\setAttribute().

## ◆ cleanupList()

static eZProductCollection::cleanupList | ( |  | $productCollectionIDList | ) |
| static

Removes all product collections based on a product collection ID list Will also remove the product collection items.

Parameters

  array | $productCollectionIDList | array of eZProductCollection IDs

Returns
  void

Definition at line 153 of file ezproductcollection.php.

References eZProductCollectionItem\cleanupList(), eZDB\instance(), and eZShippingManager\purgeShippingInfo().

Referenced by eZBasket\cleanup(), eZOrder\cleanup(), eZWishList\cleanup(), eZBasket\cleanupCurrentBasket(), eZBasket\cleanupExpired(), and eZDBGarbageCollector\collectBaskets().

## ◆ copy()

eZProductCollection::copy | ( |  | ) |

Copies the collection object, the collection items and options.

Note
  The new collection will already be present in the database.

Returns
  eZProductCollection The new collection object.

Definition at line 64 of file ezproductcollection.php.

References eZDB\instance(), and itemList().

## ◆ create()

static eZProductCollection::create | ( |  | ) |
| static

Creates a new empty collection and returns it.

Returns
  eZProductCollection

Definition at line 42 of file ezproductcollection.php.

Referenced by eZBasket\currentBasket(), and eZWishList\currentWishList().

## ◆ definition()

static eZProductCollection::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 17 of file ezproductcollection.php.

Referenced by fetch().

## ◆ fetch()

static eZProductCollection::fetch | ( |  | $productCollectionID,
|  |  | $asObject = `true`
| ) |  |
| static

Fetches an eZProductCollection based on its ID

Parameters

  int | $productCollectionID |
  bool | $asObject | If true, return an object. if false, returns an array

Returns
  array|eZProductCollection

Definition at line 90 of file ezproductcollection.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZOrder\currencyCode(), eZBasket\productCollection(), eZOrder\productCollection(), eZOrder\removeCollection(), and verify().

## ◆ itemList()

eZProductCollection::itemList | ( |  | $asObject = `true` | ) |

Returns all production collection items as an array.

Parameters

  bool | $asObject | If true, return an object. if false, returns an array

Returns
  array(eZProductCollection|array)

Definition at line 106 of file ezproductcollection.php.

References eZProductCollectionItem\definition(), and eZPersistentObject\fetchObjectList().

Referenced by copy().

## ◆ verify()

static eZProductCollection::verify | ( |  | $id | ) |
| static

Definition at line 115 of file ezproductcollection.php.

References eZProductCollectionItem\definition(), fetch(), and eZPersistentObject\fetchObjectList().

The documentation for this class was generated from the following file:

- ezproductcollection.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.